Bug 192180 - new port: net/cvsup-without-gui-static
Summary: new port: net/cvsup-without-gui-static
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-28 06:43 UTC by Xin LI
Modified: 2014-09-09 10:42 UTC (History)
1 user (show)

See Also:


Attachments
proposed port (2.84 KB, text/plain)
2014-07-28 06:43 UTC, Xin LI
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xin LI freebsd_committer 2014-07-28 06:43:11 UTC
Created attachment 145060 [details]
proposed port

This is a binary package for cvsup-without for FreeBSD/amd64, compiled statically for 7.4-RELEASE.
Comment 1 John Marino freebsd_committer 2014-07-28 07:37:57 UTC
I think I must deny this request.
The ports tree is only required to support the following releases:

8.4, 9.1, 9.2, 9.3, and 10.0

Any support for earlier release is actively removed, so there's no way a new port only for FreeBSD 7.4 will be approved for integration.  Sorry!
Comment 2 Xin LI freebsd_committer 2014-07-28 07:48:15 UTC
(In reply to John Marino from comment #1)
> I think I must deny this request.
> The ports tree is only required to support the following releases:
> 
> 8.4, 9.1, 9.2, 9.3, and 10.0
> 
> Any support for earlier release is actively removed, so there's no way a new
> port only for FreeBSD 7.4 will be approved for integration.  Sorry!

Sorry if I haven't made it clear -- the port is compiled on 7.4-RELEASE but it's intended for supported releases because a bug with ezm3 would cause coredumps on supported releases..
Comment 3 John Marino freebsd_committer 2014-07-28 07:52:08 UTC
Can you explain what the use case of cvsup* is?  I am under the impression there are no active cvs repositories.

In other words, who would use such a port and how/why?
Comment 4 Xin LI freebsd_committer 2014-07-28 07:56:51 UTC
(In reply to John Marino from comment #3)
> Can you explain what the use case of cvsup* is?  I am under the impression
> there are no active cvs repositories.
> 
> In other words, who would use such a port and how/why?

Anybody who needs a local NetBSD CVS repository mirror (and probably also other CVS repositories that is distributed via CVSup) or using CVSup for their own projects.
Comment 5 John Marino freebsd_committer 2014-07-28 08:02:30 UTC
another question:

There is supposedly a better (and conflicting) version of cvsup provided with the lang/modula3 port.

You stated the purpose of this new port is due to an ezm3 bug.   Is this new port still needed if the modula3 cvsup works fine?
Comment 6 John Marino freebsd_committer 2014-07-28 08:11:55 UTC
hmm, I just remembered modula3 doesn't build on many platforms (e.g. FreeBSD 9+ on amd64 only)

but this port is also limited to amd64 so it's about a wash...
Comment 7 Xin LI freebsd_committer 2014-07-28 08:45:33 UTC
(In reply to John Marino from comment #5)
> another question:
> 
> There is supposedly a better (and conflicting) version of cvsup provided
> with the lang/modula3 port.
> 
> You stated the purpose of this new port is due to an ezm3 bug.   Is this new
> port still needed if the modula3 cvsup works fine?

No, we don't need a binary-only port assuming the source port is buildable and in a working condition.
Comment 8 John Marino freebsd_committer 2014-07-28 08:49:19 UTC
i would love it if you could test the modula3 version of cvsup and see if it works well.  Nobody has really done that (and it is kind of hidden where it is)
Comment 9 Xin LI freebsd_committer 2014-07-30 07:16:53 UTC
(In reply to John Marino from comment #8)
> i would love it if you could test the modula3 version of cvsup and see if it
> works well.  Nobody has really done that (and it is kind of hidden where it
> is)

Just an update -- I didn't forget this, but cvsup was quite slow so I was only able to finish one run so far :)

There are some difference between modula3 version and the ezm3 version.  For instance, if umask=002 is specified in supfile, modula3 version will not apply the right permissions while ezm3 version does.  Any idea?
Comment 10 John Marino freebsd_committer 2014-07-30 07:21:52 UTC
No, sorry, I'm not familiar with cvsup really.

It's possible that ezm3 version has local patches to alter the standard behavior of cvsup.  I vaguely remember seeing something like that.  I guess you could check the port source and see if that's where the difference originates.
Comment 11 John Marino freebsd_committer 2014-08-07 08:43:48 UTC
anything new here?
Comment 12 John Marino freebsd_committer 2014-08-17 08:30:58 UTC
I'd love an update on this.  The PR is under my name but if nothing changes I'll just release it "back to the heap".
Comment 13 Xin LI freebsd_committer 2014-08-18 02:16:01 UTC
Sorry I don't have much energy to figure out what customization in ezm3 is at this moment, which is why I end up creating a binary port :(
Comment 14 Xin LI freebsd_committer 2014-08-18 02:19:08 UTC
In summary, the status quo is:

 - lang/modula3 ships with a mostly usable version of cvsup that have problems in the corner cases like handling file permissions, uses more memory and is slower, which we need to either figure out why or have someone to find out why and fix.
 - lang/ezm3 and net/cvsup is scheduled for removal soon.
 - The binary port is created to fill the gap just in case, for now, both client and server side worked fine.
Comment 15 John Marino freebsd_committer 2014-09-09 10:13:47 UTC
Okay, you are correct that ezm3 and cvsup* ports are getting removed and that seems that it will happen. That might be justification enough for this port although it only works for amd64.  It's better than nothing, I guess.
Comment 16 John Marino freebsd_committer 2014-09-09 10:23:53 UTC
I think I'll just call the port "cvsup-static" since it will be the only cvsup port
Comment 17 commit-hook freebsd_committer 2014-09-09 10:39:40 UTC
A commit references this bug:

Author: marino
Date: Tue Sep  9 10:39:07 UTC 2014
New revision: 367724
URL: http://svnweb.freebsd.org/changeset/ports/367724

Log:
  Add new port net/cvsup-static

  The ports lang/ezm3, net/cvsup and net/cvsup-without-gui ports have
  expired and will be removed as soon as today.  This port provides
  a statically-compiled version of cvsup-without-gui to offer cvsup on
  the amd64 platform of all supported releases of FreeBSD.

  This hasn't been available since ezm3 coredumps on newer releases, and
  now it's BROKEN due to being unstaged.

  PR:		192180
  Submitted by:	delphij@

Changes:
  head/net/Makefile
  head/net/cvsup-static/
  head/net/cvsup-static/Makefile
  head/net/cvsup-static/Makefile.DragonFly
  head/net/cvsup-static/distinfo.amd64
  head/net/cvsup-static/pkg-descr
  head/net/cvsup-static/pkg-plist
Comment 18 John Marino freebsd_committer 2014-09-09 10:42:54 UTC
Thanks!

Later I will add a conflict between this and modula-3 (I'll modify modula-3 after cvsup* ports are removed to remove conflict with those and add a conflict with this port)